@REG_NAME
MX6000FT_mon
#
#  This is a devcom monitor list spec file.
#  The file is activated with devcom_mon priority /pathtothisspecfile .
#  The command string (column 3) will be sent to the devcom device/instrument 
#  server (column 2), on each event (1st column).  The action can be started 
#  and stopped with optional events specified in column 4 and 5.
#  The column 1 event can be a named event or a ms timer value.  Start and 
#  stop events must be named events.  All events will be created as temporary 
#  events if they do not exist.
#
#  The user should test the command string with devcom_smsg_tst before adding 
#  it to this file.  If an error is detected executing the command the event 
#  "REG_NAME"_err will be set.
#
#  The list is sorted by event id (column 1), so like events are grouped, but 
#  otherwise is sequentually executed.  There is NO threading across different 
#  devices, so the whole list will be paced by your slowest command/device.
#  There is also a limit of 200 commands.  If you need more break it up into 
#  multiple lists.
#

# log a bunch of stuff to /data/errors/devcom_mon.DATE
$Debug
 true

#false

# This MUST be located before the first command entry.
$CMDS

# event, device, command string, start event, stop event
# or ms

# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# AKON to monitor measured concentrations.
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
1000, MX6000FT, "AKON 'K0' \
f_co              \            
f_co2             \
f_no              \
f_no2             \
f_n2o             \
f_h2o             \
f_ammonia         \
f_so2             \
f_formaldehyde    \
f_formic_acid     \
f_methane         \
f_ethene          \
f_ethane          \
f_propene         \
f_1_3_butadiene   \
f_isobutene       \
f_benzene         \
f_toluene         \
f_nox "           \
,f_mon_on,f_mon_off

# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# ASTZ to return instrument status - event triggered
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f_get_status, MX6000FT, "ASTZ 'K1' \
fm_species                         \
fm_loc_rem                         \
fm_state                           \
fm_auto_rng"

# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# ASTZ to return instrument status - 1[sec] interval, used in gp_tests
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
1000, MX6000FT, "ASTZ 'K1' \
fm_species                 \
fm_loc_rem                 \
fm_state                   \
fm_auto_rng"               \
,fm_status_on,fm_status_off

# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# ASTF to return all active error codes
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# A change in the value of MX6000FTAKstat will trigger an event called
# ftir_err_cnt_ev which will be a signal to evnt_rsp to clear the f_error_code?
# values.  evnt_rsp will in turn set the f_err_cnt_ev to update the error codes.
# The intent is to remove 'stale' errors from the queue.
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f_err_cnt_ev, MX6000FT, "ASTF 'K0' \
f_error_code1 \
f_error_code2 \
f_error_code3 \
f_error_code4 \
f_error_code5 \
f_error_code6 \
"

# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# ATEM to return the cell temperature in C
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
5000, MX6000FT, "ATEM 'K0' f_cell_temp", fm_temp_on, fm_temp_off

# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# AKFG to return all active error codes
# %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f_get_species, MX6000FT, "AKFG 'K0' \
F_Species_lbl:1    F_Kn:1  \
F_Species_lbl:2    F_Kn:2  \
F_Species_lbl:3    F_Kn:3  \
F_Species_lbl:4    F_Kn:4  \
F_Species_lbl:5    F_Kn:5  \
F_Species_lbl:6    F_Kn:6  \
F_Species_lbl:7    F_Kn:7  \
F_Species_lbl:8    F_Kn:8  \
F_Species_lbl:9    F_Kn:9  \
F_Species_lbl:10   F_Kn:10 \
F_Species_lbl:11   F_Kn:11 \
F_Species_lbl:12   F_Kn:12 \
F_Species_lbl:13   F_Kn:13 \
F_Species_lbl:14   F_Kn:14 \
F_Species_lbl:15   F_Kn:15 \
F_Species_lbl:16   F_Kn:16 \
F_Species_lbl:17   F_Kn:17 \
F_Species_lbl:18   F_Kn:18 \
F_Species_lbl:19   F_Kn:19 \
"

$
# the list MUST end with a dollar sign


